Bug 22934 - Add missing use statement to Koha::AdditionalFieldValue
Summary: Add missing use statement to Koha::AdditionalFieldValue
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 15774
Blocks: 22932
  Show dependency treegraph
 
Reported: 2019-05-17 12:29 UTC by Nick Clemens
Modified: 2019-05-30 19:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22934: Add missing use statement (1.01 KB, patch)
2019-05-17 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22934: Add missing use statement (1.05 KB, patch)
2019-05-17 12:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22934: Add missing use statement (1.25 KB, patch)
2019-05-17 19:27 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22934: Add missing use statement (1.37 KB, patch)
2019-05-22 14:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-05-17 12:29:56 UTC
When refactoring additional fields for 15774 it looks like a use statement was missed
Comment 1 Nick Clemens 2019-05-17 12:32:26 UTC
Created attachment 89893 [details] [review]
Bug 22934: Add missing use statement

Also fixes a typo

To test:
1 - Add a subscription to a record
2 - Add an additional field in the admin section
3 - Edit the subscription and define the additional field
4 - Ensure you can view the record in the staff client and opac
Comment 2 Owen Leonard 2019-05-17 12:40:18 UTC
Created attachment 89895 [details] [review]
Bug 22934: Add missing use statement

Also fixes a typo

To test:
1 - Add a subscription to a record
2 - Add an additional field in the admin section
3 - Edit the subscription and define the additional field
4 - Ensure you can view the record in the staff client and opac

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Bin Wen 2019-05-17 19:27:06 UTC
Created attachment 89919 [details] [review]
Bug 22934: Add missing use statement

Also fixes a typo

To test:
1 - Add a subscription to a record
2 - Add an additional field in the admin section
3 - Edit the subscription and define the additional field
4 - Ensure you can view the record in the staff client and opac
5 - Without patch ,in the subscription detail page,click the link of the record title. => software error.
6 - Apply the patch. => no error anymore.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Marcel de Rooy 2019-05-22 14:37:03 UTC
Created attachment 89960 [details] [review]
Bug 22934: Add missing use statement

Also fixes a typo

To test:
1 - Add a subscription to a record
2 - Add an additional field in the admin section
3 - Edit the subscription and define the additional field
4 - Ensure you can view the record in the staff client and opac
5 - Without patch ,in the subscription detail page,click the link of the record title. => software error.
6 - Apply the patch. => no error anymore.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Fixed another typo on L21
Comment 5 Nick Clemens 2019-05-23 15:02:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-30 19:43:22 UTC
Bug with new feature not in 18.11.x series